/*
 * Copyright 2011-2013,2015 Sony Corporation.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _SI4708ICX_H
#define _SI4708ICX_H

#include<linux/videodev2.h>

#define SI4708ICX_RESOURCE_NAME "Si4708icx"
#define SI4708ICX_I2C_ADDRESS   0x10

#define V4L2_CID_SI4708ICX_SENSE_MODE V4L2_CID_PRIVATE_BASE
#define SI4708ICX_SENSE_MODE_HIGH 1
#define SI4708ICX_SENSE_MODE_LOW  0

#define V4L2_CID_SI4708ICX_SENSE_THRESHOLD_HIGH (V4L2_CID_PRIVATE_BASE+1)
#define V4L2_CID_SI4708ICX_SENSE_THRESHOLD_LOW  (V4L2_CID_PRIVATE_BASE+2)

/* for test tool */
#define V4L2_CID_SI4708ICX_USER_COUNT (V4L2_CID_PRIVATE_BASE+3)

#define V4L2_CID_SI4708ICX_RAW_SIGNAL_STRENGTH  (V4L2_CID_PRIVATE_BASE+4)
#endif

